QGIS Application - Bug report #16365
selection icons behave different and selection changes do not repaint
2017-03-17 06:17 AM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24275
Description

1) there are two selection icons (1) and (2) in screedump, both with a little dropdown item next to it.

The first one (Select Features, by polygon etc etc) changes it's icon to the one you select in the dropdown.

The second one (Select Features by Value/Expression etc) does not change when you select one of the options. It shows the different
dialogs... but it does not remember your last used selection tool

2) seems the selections changes do not repaint.

Opening a shp file, select one geometry, and click on 'Deselect Features from all Layers' button (3): nothing seems to happen. Untill you
zoomin... So apparently the screen is not repainted.

Same for the option Invert Feature Selection (item in (2)): nothing happens untill you zoom in/out

Associated revisions

Revision 0ed14148 - 2017-03-20 01:45 AM - Nyall Dawson

Fix map not refreshed when deselecting/inverting selection (fix #16365)

History

#1 - 2017-03-17 06:20 AM - Richard Duivenvoorde

- File selectiontools.png added

#2 - 2017-03-19 05:38 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"0ed1414885e49f6df26c3aed80970a9de94ea3b3".

#3 - 2017-09-22 09:53 AM - Jiirgen Fischer

- Category set to Unknown

Files

selectiontools.png 40.6 KB 2017-03-17 Richard Duivenvoorde
